Actualizar cuenta contable
curl --request PATCH \
--url https://api.lapyme.com.ar/api/v1/accounting/accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_postable": true,
"is_active": true,
"is_inflation_adjustable": true
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/accounting/accounts/{account_id}"
payload = {
"name": "<string>",
"code": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_postable": True,
"is_active": True,
"is_inflation_adjustable": True
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
code: '<string>',
description: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
is_postable: true,
is_active: true,
is_inflation_adjustable: true
})
};
fetch('https://api.lapyme.com.ar/api/v1/accounting/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"is_active": true,
"is_postable": true,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_inflation_adjustable": true
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scope insuficiente o contabilidad no habilitada",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Cuenta no encontrada",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de configuración contable",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Actualizar cuenta contable
Actualiza parcialmente metadatos y configuración de una cuenta contable, incluyendo system_role e is_inflation_adjustable.
PATCH
/
api
/
v1
/
accounting
/
accounts
/
{account_id}
Actualizar cuenta contable
Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Path Parameters
Body
application/json
Available options:
asset, liability, equity, revenue, expense Available options:
revenue, cogs, operating_expense, depreciation_amortization, other_operating_income, other_operating_expense, financial_income, financial_expense, income_tax Available options:
ar, ap, vat_credit, vat_debit, revenue, cogs, merchandise, values_to_deposit, cash_in_transit, deferred_checks_payable, bounced_checks, check_discount_expense, card_pending, card_commission, cash_differences, customer_advances, supplier_advances, wh_vat_suffered, iibb_credits_suffered, wh_income_tax_suffered, wh_suss_suffered, wh_stamps_suffered, wh_vat_payable, wh_iibb_payable, wh_income_tax_payable, wh_suss_payable, perc_vat_suffered, perc_vat_payable, perc_iibb_payable, purchases_non_taxable, sales_non_taxable, discounts_received, taxes_expense, misc_expense, stock_adjustment_positive, stock_adjustment_negative, exchange_difference, recpam, fiscal_year_result, capital_adjustment Was this page helpful?
⌘I

